# FreshLists: Containers That Only Accept "Fresh" Elements

```idris hide
module DependentNuggets.FreshLists
```

When programming, we quite frequently encounter the for a data structure that can contain at most one of each given element. Typically, we would use a `Set`, which satisfies this constraint, but does so as a runtime invariant that must be taken on trust, and results in ergonomic concerns when used as a component of API design.

